"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var SrcdsLogType = require("./SrcdsLog");
var Globals = require("../globals");
var AttackedType = (function (_super) {
    __extends(AttackedType, _super);
    function AttackedType(time, data) {
        _super.call(this, time);
        this.AttackingPlayer = new Globals.Player(data[1]);
        this.AttackingLocation = new Globals.Vector(data[2], data[3], data[4]);
        this.Type = "Attacked";
        this.VictimPlayer = new Globals.Player(data[5]);
        this.VictimLocation = new Globals.Vector(data[6], data[7], data[8]);
        this.Weapon = data[9];
        this.DamageAmount = parseInt(data[10]);
        this.DamageArmourAmount = parseInt(data[11]);
        this.RemainingHealth = parseInt(data[12]);
        this.RemainingArmour = parseInt(data[13]);
        this.HitGroup = data[14];
    }
    AttackedType.Identifier = {
        regex: new RegExp(/^/.source
            + Globals.SteamIdRegex.source
            + / /.source
            + Globals.VectorRegex.source
            + / attacked /.source
            + Globals.SteamIdRegex.source
            + / /.source
            + Globals.VectorRegex.source
            + / with "(\S+)" \(damage "(\d+)"\) \(damage_armor "(\d+)"\) \(health "(\d+)"\) \(armor "(\d+)"\) \(hitgroup "(.+)"\)$/.source)
    };
    return AttackedType;
}(SrcdsLogType.SrcdsLog));
exports.AttackedType = AttackedType;
//# sourceMappingURL=AttackedType.js.map