"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var SrcdsLogType = require("./SrcdsLog");
var Globals = require("../globals");
var ScoredType = (function (_super) {
    __extends(ScoredType, _super);
    function ScoredType(time, data) {
        _super.call(this, time);
        this.Type = "Scored";
        this.Team = Globals.getTeam(data[1]);
        this.Score = parseInt(data[2]);
        this.PlayerCount = parseInt(data[3]);
    }
    ScoredType.Identifier = {
        regex: new RegExp(/^Team /.source + Globals.TeamRegex.source + / scored "(\d+)" with "(\d+)" players$/.source)
    };
    return ScoredType;
}(SrcdsLogType.SrcdsLog));
exports.ScoredType = ScoredType;
//# sourceMappingURL=ScoredType.js.map