"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var SrcdsLogType = require("./SrcdsLog");
var Globals = require("../globals");
var ThrewType = (function (_super) {
    __extends(ThrewType, _super);
    function ThrewType(time, data) {
        _super.call(this, time);
        this.Player = new Globals.Player(data[1]);
        this.ItemThrown = data[2];
        this.ThrownFrom = new Globals.Vector(data[3], data[4], data[5]);
        this.Type = "Threw";
    }
    ThrewType.Identifier = {
        regex: new RegExp("^" + Globals.SteamIdRegex.source + / threw (\w+) /.source + Globals.VectorRegex.source + /$/.source)
    };
    return ThrewType;
}(SrcdsLogType.SrcdsLog));
exports.ThrewType = ThrewType;
//# sourceMappingURL=ThrewType.js.map