"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var SrcdsLogType = require("./SrcdsLog");
var Globals = require("../globals");
var ValidatedType = (function (_super) {
    __extends(ValidatedType, _super);
    function ValidatedType(time, data, messageType) {
        _super.call(this, time);
        this.Type = "Validated";
        if (messageType == 'valid') {
            this.Player = new Globals.Player(data[1]);
            this.Success = true;
        }
        else if (messageType == 'failed') {
            this.Player = data[1];
            this.Success = false;
            this.ErrorCode = parseInt(data[2]);
        }
        else {
            throw "invalid";
        }
    }
    ValidatedType.Identifier = [
        {
            regex: new RegExp("^" + Globals.SteamIdRegex.source + / STEAM USERID validated$/.source),
            extraArg: 'valid'
        },
        {
            regex: /^STEAMAUTH: Client (.+) received failure code (\d*)/,
            extraArg: 'failed'
        }
    ];
    return ValidatedType;
}(SrcdsLogType.SrcdsLog));
exports.ValidatedType = ValidatedType;
//# sourceMappingURL=ValidatedType.js.map