"use strict";
var RootSteamIdRegex = /".+?\<\d*\>\<(?:STEAM_\d+:\d+:\d+|BOT|Console)\>(?:\<\w*\>)?"/;
var RootChickenRegex = /"chicken\<\d+\>"/;
exports.SteamIdRegex = new RegExp("(" + RootSteamIdRegex.source + "|World|" + RootChickenRegex.source + ")");
exports.TeamRegex = /["<]?(CT|TERRORIST|Spectator|Unassigned)[">]?/;
exports.VectorRegex = /\[?([-.\d]+) ([-.\d]+) ([-.\d]+)\]?/;
function getTeam(team) {
    if (team == "TERRORIST") {
        return Team.Terrorist;
    }
    else if (team == "CT") {
        return Team.CounterTerrorist;
    }
    else if (team == "Unassigned") {
        return Team.Unassigned;
    }
    else if (team == "Spectator") {
        return Team.Spectator;
    }
    else {
        return Team.Unknown;
    }
}
exports.getTeam = getTeam;
(function (Team) {
    Team[Team["CounterTerrorist"] = 0] = "CounterTerrorist";
    Team[Team["Terrorist"] = 1] = "Terrorist";
    Team[Team["Unassigned"] = 2] = "Unassigned";
    Team[Team["Spectator"] = 3] = "Spectator";
    Team[Team["Unknown"] = 4] = "Unknown";
})(exports.Team || (exports.Team = {}));
var Team = exports.Team;
var Player = (function () {
    function Player(playerString) {
        if (playerString == 'World') {
            this.Name = 'World';
            this.SteamID == 'World';
        }
        else if (playerString && playerString.length > 0) {
            var regexResult = Player.regex.exec(playerString);
            if (regexResult) {
                this.Name = regexResult[1];
                this.PlayerID = parseInt(regexResult[2]);
                this.SteamID = regexResult[3];
                this.Team = getTeam(regexResult[4]);
            }
            else {
                regexResult = Player.chickenRegex.exec(playerString);
                if (regexResult) {
                    this.Name = "chicken";
                    this.PlayerID = parseInt(regexResult[1]);
                }
                else {
                    throw "INvalid player :(  " + playerString;
                }
            }
        }
    }
    Player.regex = /^"(.+)\<(\d*)\>\<(STEAM_\d+:\d+:\d+|BOT|Console)\>(?:\<(\w*)\>)?"$/;
    Player.chickenRegex = /^"chicken\<(\d+)\>"$/;
    return Player;
}());
exports.Player = Player;
var Vector = (function () {
    function Vector(x, y, z) {
        this.x = parseInt(x.replace(Vector.ReplaceRegex, ''));
        this.y = parseInt(y.replace(Vector.ReplaceRegex, ''));
        this.z = parseInt(z.replace(Vector.ReplaceRegex, ''));
    }
    Vector.ReplaceRegex = /[\[\]\s]/g;
    return Vector;
}());
exports.Vector = Vector;
//# sourceMappingURL=globals.js.map