"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var SrcdsLogType = require("./SrcdsLog");
var Globals = require("../globals");
var KilledType = (function (_super) {
    __extends(KilledType, _super);
    function KilledType(time, data) {
        _super.call(this, time);
        this.AttackingPlayer = new Globals.Player(data[1]);
        this.AttackingLocation = new Globals.Vector(data[2], data[3], data[4]);
        this.Type = "Killed";
        this.VictimPlayer = new Globals.Player(data[5]);
        this.VictimLocation = new Globals.Vector(data[6], data[7], data[8]);
        this.Weapon = data[9];
        this.How = data[10];
    }
    KilledType.Identifier = {
        regex: new RegExp(/^/.source
            + Globals.SteamIdRegex.source
            + / /.source
            + Globals.VectorRegex.source
            + / killed(?: other)? /.source
            + Globals.SteamIdRegex.source
            + / /.source
            + Globals.VectorRegex.source
            + / with "(\S+)"(?: \((.+)\))?$/.source)
    };
    return KilledType;
}(SrcdsLogType.SrcdsLog));
exports.KilledType = KilledType;
//# sourceMappingURL=KilledType.js.map