"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var SrcdsLogType = require("./SrcdsLog");
var Globals = require("../globals");
var SpawnedType = (function (_super) {
    __extends(SpawnedType, _super);
    function SpawnedType(time, data) {
        _super.call(this, time);
        this.ItemSpawned = data[1];
        this.SpawnedAt = new Globals.Vector(data[2], data[3], data[4]);
        this.Velocity = new Globals.Vector(data[5], data[6], data[7]);
        this.Type = "Spawned";
    }
    SpawnedType.Identifier = {
        regex: new RegExp(/(.+?) projectile spawned at /.source + Globals.VectorRegex.source + /, velocity /.source + Globals.VectorRegex.source + "$")
    };
    return SpawnedType;
}(SrcdsLogType.SrcdsLog));
exports.SpawnedType = SpawnedType;
//# sourceMappingURL=SpawnedType.js.map