"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var SrcdsLogType = require("./SrcdsLog");
var Globals = require("../globals");
var SwitchedType = (function (_super) {
    __extends(SwitchedType, _super);
    function SwitchedType(time, data) {
        _super.call(this, time);
        this.Player = new Globals.Player(data[1]);
        this.FromTeam = Globals.getTeam(data[2]);
        this.ToTeam = Globals.getTeam(data[3]);
        this.Type = "Switched";
    }
    SwitchedType.Identifier = {
        regex: new RegExp("^" + Globals.SteamIdRegex.source + " switched from team " + Globals.TeamRegex.source + " to " + Globals.TeamRegex.source + "$")
    };
    return SwitchedType;
}(SrcdsLogType.SrcdsLog));
exports.SwitchedType = SwitchedType;
//# sourceMappingURL=SwitchedType.js.map