"use strict";
var fs = require('fs');
var process = require("process");
var lp = require("./index");
var fileContents = fs.readFileSync(process.argv[2]).toString().split("\n");
var parser = new lp.SrcdsLogParser();
var seenTypes = {};
for (var i = 1000; i < Math.min(50000, fileContents.length); i++) {
    var o = parser.parseLine(fileContents[i]);
    if (!seenTypes[o.Type]) {
        seenTypes[o.Type] = o;
    }
}
console.log(JSON.stringify(seenTypes, null, 4));
//# sourceMappingURL=test.js.map